from django.urls import path, re_path
from .views import AllCategories, ProductView, AllProductsView, CommentView, ShowCaseProductsView, ShowCaseCategoryListView, BotProductsView,BotProductDetailView,BotCategoryView ,AllCategoriesV2

urlpatterns = [
    path('slider_category', ShowCaseProductsView.as_view(), name='category-products'),
    path('bot', BotProductsView.as_view(), name='bot-products'),
    path('bot/<int:pk>/', BotProductDetailView.as_view(), name='bot-product-detail'),
    path('categories', AllCategories.as_view(), name='all-categories'),
    path('categories/v2', AllCategoriesV2.as_view(), name='all-categories'),
    path('categories/bot', BotCategoryView.as_view(), name='bot-categories'),
    path('slider_categories', ShowCaseCategoryListView.as_view(), name='all-categories'),
    re_path(r'^comments/(?P<slug>[\w\u0600-\u06FF\-]+)$', CommentView.as_view(), name='comment-views'),
    re_path(r'^(?P<slug>[\w\u0600-\u06FF\-]+)/$', ProductView.as_view(), name='product-detail'),
    path('', AllProductsView.as_view(), name='category-products'),
]